> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.dialogresult.md).

# DialogResult

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the return value of a dialog box.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DialogResult : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DialogResult As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                                        |
| ---------- | ---------------------------------------------------------------------------------- |
| **Abort**  | The dialog box return value is Abort (usually sent from a button labeled Abort).   |
| **Cancel** | The dialog box return value is Cancel (usually sent from a button labeled Cancel). |
| **Ignore** | The dialog box return value is Ignore (usually sent from a button labeled Ignore). |
| **No**     | The dialog box return value is No (usually sent from a button labeled No).         |
| **None**   | Nothing is returned from the dialog box.                                           |
| **OK**     | The dialog box return value is OK (usually sent from a button labeled OK).         |
| **Retry**  | The dialog box return value is Retry (usually sent from a button labeled Retry).   |
| **Yes**    | The dialog box return value is Yes (usually sent from a button labeled Yes).       |

## Used By

| Name                                                                                                                                                           | Description                                                                                                                                                           |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [CommonDialog.ShowDialog](/api/wisej.web/common-dialogs/wisej.web.commondialog.md#showdialog)                                                                  | Runs a common dialog box with a default owner.                                                                                                                        |
| [Button.DialogResult](/api/wisej.web/buttons/button.md#dialogresult)                                                                                           | Returns or sets a value that is returned to the parent form when the button is clicked.                                                                               |
| [Form.DialogResult](/api/wisej.web/containers/form.md#dialogresult)                                                                                            | Returns or sets the dialog result for the form.                                                                                                                       |
| [Form.ShowDialog](/api/wisej.web/containers/form.md#showdialog-onclose)                                                                                        | Shows the form as a modal dialog box. When the *onclose* is specified, the dialog is modal only in the browser.                                                       |
| [Label.DialogResult](/api/wisej.web/content/wisej.web.label.md#dialogresult)                                                                                   | Returns or sets a value that is returned to the parent form when the button is clicked.                                                                               |
| [MessageBox.Show](/api/wisej.web/notifications/messagebox.md#show-text-caption-buttons-icon-defaultbutton-modal-allowhtml-keeponscreen-righttoleft-onclose)    | Displays a message box with the specified text, caption, buttons, icon, default button, options, and Help button.                                                     |
| [PictureBox.DialogResult](/api/wisej.web/content/wisej.web.picturebox.md#dialogresult)                                                                         | Returns or sets a value that is returned to the parent form when the button is clicked.                                                                               |
| [IButtonControl.DialogResult](/api/wisej.web/interfaces/wisej.web.ibuttoncontrol.md#dialogresult)                                                              | Returns or sets the value returned to the parent form when the button is clicked.                                                                                     |
| [IButtonControlExtensions.DialogResult](/api/wisej.web.markup/extensions/wisej.web.markup.ibuttoncontrolextensions.md#dialogresult-buttoncontrol-dialogresult) | Sets the DialogResult property of the specified [IButtonControl](/api/wisej.web/interfaces/wisej.web.ibuttoncontrol.md).                                              |
| [IWisejEditorService.ShowDialog](/api/wisej.core/interfaces/wisej.core.iwisejeditorservice.md#showdialog-dialog)                                               | Shows the specified [Form](/api/wisej.web/containers/form.md) and returns its [DialogResult](/api/wisej.web/containers/form.md#dialogresult) when the user closes it. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.dialogresult.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
